Eclipse Platform Release 3.7

## org.eclipse.ui.views.navigator
Class NavigatorDragAdapter

    java.lang.Object
      org.eclipse.swt.dnd.DragSourceAdapter
          org.eclipse.ui.views.navigator.NavigatorDragAdapter

All Implemented Interfaces:
  EventListener, DragSourceListener, org.eclipse.swt.internal.SWTEventListener

Deprecated. as of 3.5, use the Common Navigator Framework classes instead

    public class NavigatorDragAdapter

extends DragSourceAdapter

Implements drag behaviour when items are dragged out of the resource navigator.

Since:
  2.0

Constructor Summary
`NavigatorDragAdapter(ISelectionProvider provider)` Deprecated. Constructs a new drag adapter.

Method Summary
`void` `dragFinished(DragSourceEvent event)` Deprecated. This implementation of `DragSourceListener.dragFinished(DragSourceEvent)` responds to a drag that has moved resources outside the Navigator by deleting the corresponding source resource.
`void` `dragSetData(DragSourceEvent event)` Deprecated. This implementation of `DragSourceListener.dragSetData(DragSourceEvent)` sets the drag event data based on the current selection in the Navigator.
`void` `dragStart(DragSourceEvent event)` Deprecated. This implementation of `DragSourceListener.dragStart(DragSourceEvent)` allows the drag to start if the current Navigator selection contains resources that can be dragged.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigatorDragAdapter

    public NavigatorDragAdapter(ISelectionProvider provider)

  Deprecated.
  Constructs a new drag adapter.

  Parameters:
    `provider` - The selection provider

Method Detail

### dragFinished

    public void dragFinished(DragSourceEvent event)

  Deprecated.
  This implementation of `DragSourceListener.dragFinished(DragSourceEvent)` responds to a drag that has moved resources outside the Navigator by deleting the corresponding source resource.

  Specified by:
    `dragFinished` in interface `DragSourceListener`
  Overrides:
    `dragFinished` in class `DragSourceAdapter`
  Parameters:
    `event` - the information associated with the drag finished event
  See Also:
    `DragSourceEvent`

### dragSetData

    public void dragSetData(DragSourceEvent event)

  Deprecated.
  This implementation of `DragSourceListener.dragSetData(DragSourceEvent)` sets the drag event data based on the current selection in the Navigator.

  Specified by:
    `dragSetData` in interface `DragSourceListener`
  Overrides:
    `dragSetData` in class `DragSourceAdapter`
  Parameters:
    `event` - the information associated with the drag set data event
  See Also:
    `DragSourceEvent`

### dragStart

    public void dragStart(DragSourceEvent event)

  Deprecated.
  This implementation of `DragSourceListener.dragStart(DragSourceEvent)` allows the drag to start if the current Navigator selection contains resources that can be dragged.

  Specified by:
    `dragStart` in interface `DragSourceListener`
  Overrides:
    `dragStart` in class `DragSourceAdapter`
  Parameters:
    `event` - the information associated with the drag start event
  See Also:
    `DragSourceEvent`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.